Kerbal Space Program - Bug #5168

VAB and SPH broken in version 1.0.4
06/23/2015 10:31 PM - Fabri91

Status: Closed Start date: 06/23/2015
Severity: Critical % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Sometimes the control on the left side of the VAB or SPH appear to be broken and it is impossible to select any part, as depicted in
the attached screenshot. Affected savegame is also attached, but issue is present also on a new "test" save.

Marked as Critical since these are essential components of the game and they don't appear to be working as of now.

History

#1 - 06/23/2015 10:48 PM - Fabrio1

- File persistent.sfs added

Upon further testing, here's a procedure to reproduce the issue (works everytime on my system):

e Launch KSP
e Select SPH

Workaround:

Launch KSP

Continue the attached "test" savegame

Open the SPH (should work as intended - if one skips this step the SPH remains broken)
Go back, select the previously attached savegame

Open VAB, now it's working

Additional notes:

e Also works/affects the VAB, e.g. the VAB can be accessed in the test savegame and then both it and the SPH will work in the "proper" save
(attached in the original post) and the reverse is also true.

¢ Only opening the test savegame without accessing either one of the two buildings does not work.

e The "proper" save resides in a folder in my Dropbox, and KSP is linked to it with a symbolic link (I use this to backup and sync saves, has never
caused an issue in years)

#2 - 06/24/2015 02:28 PM - Fabri91

The problem was linked to a savegame that was modified by a mod (ModuleManager changing the tech tree location, as seen here:
http:/forum.kerbalspaceprogram.com/threads/125241-Can-t-edit-craft

Sorry for the bother, it appears to not be linked to core KSP after all.

#3 - 06/25/2015 01:15 AM - TriggerAu

You OK if we mark this closed then?

#4 - 06/25/2015 05:16 PM - Ted
- Status changed from New to Closed

- % Done changed from 0 to 100

Thanks for keeping us updated on the issue, especially one so critical. Closing the issue.
